# Class TCPEchange

java.lang.Object
TCPEchange

    public class TCPEchange
    extends java.lang.Object

Classe representant les échanges TCP entre utilisateurs.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`TCPEchange()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static void` | `ecouteTCP​(ChatApp app)` |
`static void` | `envoiTCP​(ChatApp app, Utilisateur User2, java.lang.String Msg)` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TCPEchange

public TCPEchange()

## Method Details

### envoiTCP

public static void envoiTCP​(ChatApp app, Utilisateur User2, java.lang.String Msg)

### ecouteTCP

public static void ecouteTCP​(ChatApp app)